mincho_face = u'MS Mincho'
from os import path

class FaceId:
    """Describe a face of font."""
    def __init__(self, name, index):
        self._name = path.normpath(name)
        self._index = index

    def __cmp__(self, other) :
        if self._name == path.normpath(other._name):
            return self._index - other._index
        elif self._name > other._name:
            return 1
        else:
            return -1
    
    def __hash__(self):
        return hash(self._name) + self._index

    def getName(self):
        return self._name
    
    def getIndex(self):
        return self._index

import codecs

dec_r = codecs.getdecoder('utf_8')
enc_r = codecs.getencoder('utf_8')

def decode(str):
    return dec_r(str)[0]

def encode(str):
    return enc_r(str)[0]
